rb_control_frame_t Struct Reference

`#include <vm_core.h>`

## Data Fields

VALUE * | pc
VALUE * | sp
VALUE * | bp
rb_iseq_t * | iseq
VALUE | flag
VALUE | self
VALUE * | lfp
VALUE * | dfp
rb_iseq_t * | block_iseq
VALUE | proc
const rb_method_entry_t * | me

## Detailed Description

Definition at line 331 of file vm_core.h.

## Field Documentation

rb_iseq_t* rb_control_frame_t::block_iseq

Definition at line 340 of file vm_core.h.

Referenced by control_frame_dump(), fiber_init(), and vm_push_frame().

VALUE* rb_control_frame_t::bp

Definition at line 334 of file vm_core.h.

Referenced by control_frame_dump(), fiber_init(), rb_vmdebug_stack_dump_raw(), vm_exec(), and vm_push_frame().

VALUE* rb_control_frame_t::dfp

Definition at line 339 of file vm_core.h.

Referenced by control_frame_dump(), errinfo_place(), fiber_init(), invoke_block_from_c(), rb_f_local_variables(), rb_iterate(), rb_vm_cbase(), rb_vm_cref(), rb_vm_make_env_object(), rb_vm_rewrite_dfp_in_errinfo(), rb_vmdebug_debug_print_register(), rb_vmdebug_stack_dump_raw(), rb_vmdebug_thread_dump_state(), vm_cref_push(), vm_exec(), vm_get_ev_const(), vm_iter_break(), vm_make_env_each(), vm_push_frame(), vm_search_superclass(), vm_set_eval_stack(), and vm_throw().

VALUE rb_control_frame_t::flag

Definition at line 336 of file vm_core.h.

Referenced by fiber_init(), vm_get_ruby_level_caller_cfp(), and vm_push_frame().

rb_iseq_t* rb_control_frame_t::iseq

Definition at line 335 of file vm_core.h.

Referenced by control_frame_dump(), errinfo_place(), eval_string_with_cref(), fiber_init(), frame_func_id(), Init_VM(), method_entry_of_iseq(), rb_add_method(), rb_binding_new(), rb_current_realfilepath(), rb_f_local_variables(), rb_sourcefile(), rb_thread_current_status(), rb_thread_mark(), rb_thread_method_id_and_class(), rb_vm_cbase(), rb_vm_cref(), rb_vm_get_ruby_level_next_cfp(), rb_vm_get_sourceline(), rb_vm_rewrite_dfp_in_errinfo(), rb_vm_set_progname(), rb_vmdebug_debug_print_pre(), rb_vmdebug_debug_print_register(), vm_backtrace_each(), vm_call_super(), vm_cref_push(), vm_exec(), vm_get_ruby_level_caller_cfp(), vm_make_env_each(), vm_pop_frame(), vm_push_frame(), vm_search_superclass(), and vm_throw().

VALUE* rb_control_frame_t::lfp

Definition at line 338 of file vm_core.h.

Referenced by check_block(), control_frame_dump(), fiber_init(), proc_new(), rb_block_given_p(), rb_f_block_given_p(), rb_f_local_variables(), rb_iterate(), rb_vm_cbase(), rb_vm_cref(), rb_vm_make_env_object(), rb_vm_make_proc(), rb_vm_set_finish_env(), rb_vmdebug_debug_print_register(), rb_vmdebug_stack_dump_raw(), rb_vmdebug_thread_dump_state(), vm_cfp_svar_get(), vm_cfp_svar_set(), vm_cref_push(), vm_exec(), vm_get_ev_const(), vm_make_env_each(), vm_push_frame(), vm_throw(), vm_yield_with_cfunc(), and yield_under().

const rb_method_entry_t* rb_control_frame_t::me

Definition at line 342 of file vm_core.h.

Referenced by control_frame_dump(), fiber_init(), frame_func_id(), invoke_block_from_c(), method_entry_of_iseq(), rb_iterate(), rb_raise_jump(), rb_thread_current_status(), rb_thread_mark(), rb_thread_method_id_and_class(), vm_backtrace_each(), vm_call0(), vm_call_cfunc(), vm_call_super(), vm_exec(), vm_push_frame(), and vm_search_superclass().

VALUE* rb_control_frame_t::pc

Definition at line 332 of file vm_core.h.

Referenced by control_frame_dump(), fiber_init(), Init_VM(), rb_thread_current_status(), rb_vm_get_sourceline(), rb_vm_set_finish_env(), rb_vmdebug_debug_print_pre(), rb_vmdebug_debug_print_register(), rb_vmdebug_thread_dump_state(), vm_backtrace_each(), vm_exec(), vm_exec_core(), vm_normal_frame(), vm_push_frame(), and vm_throw().

VALUE rb_control_frame_t::proc

Definition at line 341 of file vm_core.h.

Referenced by fiber_init(), rb_thread_mark(), and vm_push_frame().

VALUE rb_control_frame_t::self

Definition at line 337 of file vm_core.h.

Referenced by control_frame_dump(), fiber_init(), Init_VM(), rb_iterate(), rb_method_call_status(), rb_raise_jump(), rb_thread_mark(), rb_threadptr_execute_interrupts_common(), setup_exception(), vm_call_method(), vm_call_super(), vm_exec(), vm_get_ev_const(), vm_make_env_each(), and vm_push_frame().

VALUE* rb_control_frame_t::sp

Definition at line 333 of file vm_core.h.

Referenced by caller_setup_args(), cont_capture(), control_frame_dump(), fiber_init(), invoke_block_from_c(), rb_thread_mark(), rb_vm_call_cfunc(), rb_vm_set_finish_env(), rb_vmdebug_debug_print_register(), rb_vmdebug_stack_dump_raw(), rb_vmdebug_thread_dump_state(), vm_call0(), vm_call_cfunc(), vm_call_method(), vm_exec(), vm_expandarray(), vm_push_frame(), vm_set_eval_stack(), vm_set_top_stack(), vm_setup_method(), and vm_yield_with_cfunc().

The documentation for this struct was generated from the following file:

- vm_core.h